| | | |----|----| Certification Report **EAL4+ (ALC_FLR.2) Evaluation of** **TÜBİTAK BİLGEM UEKAE** **KERMEN v1.6** **issued by** **Turkish Standards Institution** **Common Criteria Certification Scheme** *Certificate Number: 21.0.03/TSE-CCCS-68* ## TABLE OF CONTENTS **TABLE OF CONTENTS 2** **Document Information 3** **Document Change Log 3** **DISCLAIMER 3** **FOREWORD 4** **RECOGNITION OF THE CERTIFICATE 5** **1 executive summary 6** **2 CERTIFICATION RESULTS 9** **2.1 Identification of Target of Evaluation 9** **2.2 Security Policy 10** **2.3 Assumptions and Clarification of Scope 10** **2.4 Architectural Information 11** **2.5 Documentation 13** **2.6 IT Product Testing 13** **2.7 Evaluated Configuration 14** **2.8 Results of the Evaluation 14** **2.9 Evaluator Comments / Recommendations 16** **3 SECURITY TARGET 16** **4 GLOSSARY 17** **5 BIBLIOGRAPHY 18** **6 ANNEXES 19** ### ### ## Document Information | **Date of Issue** | *05.10.2020* | |---------------------------------|-----------------------------------------------------------------------| | **Approval Date** | *08.10.2020* | | **Certification Report Number** | *21.0.03/20-005* | | **Sponsor and Developer** | *TÜBİTAK UEKAE Ürün Geliştirme G030-MA3 Milli Açık Anahtar Altyapısı* | | **Evaluation Facility** | *TÜBİTAK OKTEM* | | **TOE** | *KERMEN v1.6* | | **Pages** | 19 | | **Prepared by** | *Halime Eda BİTLİSLİ ERDİVAN* | |-------------------|---------------------------------| | **Reviewed by** | *İbrahim Halil KIRMIZI* | This report has been prepared by the Certification Expert and reviewed by the Technical Responsible of which signatures are above. ### Document Change Log | **Release** | **Date** | **Pages Affected** | **Remarks/Change Reference** | |---------------|--------------|----------------------|--------------------------------| | *1.0* | *05.10.2020* | *All* | *First Release* | ## DISCLAIMER **This certification report and the IT product defined in the associated Common Criteria document has been evaluated at an accredited and licensed evaluation facility conformant to Common Criteria for IT Security Evaluation,** ***version 3.1, revision 5*** **, using Common Methodology for IT Products Evaluation,** ***version 3.1, revision 5*** **. This certification report and the associated Common Criteria document apply only to the identified version and release of the product in its evaluated configuration. Evaluation has been conducted in accordance with the provisions of the CCCS, and the conclusions of the evaluation facility in the evaluation report are consistent with the evidence adduced.** ## FOREWORD **The Certification Report is drawn up to submit the Certification Commission the results and evaluation information upon the completion of a Common Criteria evaluation service performed under the Common Criteria Certification Scheme. Certification Report covers all non-confidential security and technical information related with a Common Criteria evaluation which is made under the ITCD Common Criteria Certification Scheme. This report is issued publicly to and made available to all relevant parties for reference and use.** **The Common Criteria Certification Scheme (CCCS) provides an evaluation and certification service to ensure the reliability of Information Security products. Evaluation and tests are conducted by a public or commercial Common Criteria Evaluation Facility (CCTL = Common Criteria Testing Laboratory) under CCCS’ supervision.** **CCTL is a facility, licensed as a result of inspections carried out by CCCS for performing tests and evaluations which will be the basis for Common Criteria certification. As a prerequisite for such certification, the CCTL has to fulfill the requirements of the standard ISO/IEC 17025 and should be accredited by accreditation bodies. The evaluation and tests related with the concerned product have been performed by** ***,*** **TÜBİTAK OKTEM which is a commercial CCTL** . **A Common Criteria Certificate given to a product means that such product meets the security requirements defined in its security target document that has been approved by the CCCS. The Security Target document is where requirements defining the scope of evaluation and test activities** are set forth. Along with this certification report, the user of the IT product should also review the security target document in order to understand any assumptions made in the course of evaluations, the environment where the IT product will run, security requirements of the IT product and the level of assurance provided by the product. This certification report is associated with the Common Criteria Certificate issued by the CCCS for *KERMEN v1.6* whose evaluation was completed on *26.08.2020* and whose evaluation technical report was drawn up by *26.08.2020* (as CCTL), and with the Security Target document with version no 1.12 of the relevant product. The certification report, certificate of product evaluation and security target document are posted on the ITCD Certified Products List at bilisim.tse.org.tr portal and the Common Criteria Portal (the official web site of the Common Criteria Project). ## RECOGNITION OF THE CERTIFICATE **The Common Criteria Recognition Arrangement logo is printed on the certificate to indicate that this certificate is issued in accordance with the provisions of the CCRA.** **The CCRA has been signed by the Turkey in 2003 and provides mutual recognition of certificates based on the CC evaluation assurance levels up to and including EAL2. The current list of signatory nations and approved certification schemes can be found on:** [**http://www.commoncriteriaportal.org**](http://www.commoncriteriaportal.org/) ## 1 EXECUTIVE SUMMARY ## This report constitutes the certification results by the certification body on the evaluation results applied with requirements of the Common Criteria for Information Security Evaluation. ## Evaluated IT product name: KERMEN ## IT Product version: 1.6 Developer’s Name **:** *TÜBİTAK UEKAE Ürün Geliştirme G030-MA3 Milli Açık Anahtar Altyapısı* ## Name of CCTL: TÜBİTAK OKTEM ## Assurance Package: EAL4+ (ALC_FLR.2) ## Completion date of evaluation: 26.08.2020 ### 1.1 Brief Description **KERMEN is a data encryption/decryption software application intended to protect files and emails. KERMEN encrypts data using user certificates based on RFC 5652 standard. The encrypted data can only be decrypted by addressed users private keys. KERMEN does file encryption/decryption and other related operations on Microsoft Windows platforms and Pardus Operating Systems, email encryption on MS Outlook and Mozilla ThunderBird. The underlying platform for the evaluation is limited to MS Office Outlook Email clients, MS Windows 7 and above operating systems.** **FIPS approved open source cryptographic library cryptoPP and OpenSSL are used to implement all cryptographic functions.** ### 1.2 Major Security Features **KERMEN provided following security features:** **Encryption of files: Files are encrypted using the EnvelopedData method defined in [RFC 5652] [1]** **Integrity protection of files: To detect the loss of integrity of data files, encrypted files are signed as described in [RFC 5652]** **Encryption of emails: Emails are encrypted using the S/MIME standard defined in [RFC 5751][2]** **Integrity protection of emails: To detect the loss of integrity of emails, encrypted emails are signed using the S/MIME standard defined in [RFC 5751].** **Decryption of data: Encrypted data is decrypted if the user posseses the corresponding private key in his smart card or certificate store.** **Integrity Check of data: Validation of the encrypted data indicates that integrity of the original data is ensured.** **Nonrepudiation of data: User can claim neither the data is not signed by himself nor it is modified after signing by the nature of the signature operation.** **Key Storage: Soft private keys are stored in the certificate store in password based encrypted form.** **Import/Export Keys: Certificates and associated private keys can be imported into and exported from the certificate store by using Kermen DEPO GUI.** ### 1.3 Threats ## The related threats are: | **T.DISCLOSE – Loss of confidentiality** | An attacker of one of the communication paths over which the KERMEN data is transferred succeeds in accessing the content of the data, i.e. the attacker violates the confidentiality of the information included in the data. The attack is achieved by passive attacks recording encrypted data during the transfer (e.g. eavesdropping of network communication, interception of dispatch services) and decoding the encrypted data. In general, the attacker has no access to the right key as such has to perform cryptanalysis to reveal the underlying plain text of the encrypted data. | |--------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | **T.MODIFY – Loss of integrity** | An attacker of one of the communication paths over which the KERMEN data is transferred modifies the data, i.e. replacing or changing the content of the data in a way that is not detected. The attack is achieved by interrupting the transfer due to possess the data to accomplish an active attack violating the integrity of the information included in the data before sending it to the receiver. Therefore, the attacker has either to break the integrity protection of the data, modifying the content of the data and reconstructing the protection again. Or the attacker replaces the whole data and constructs the integrity protection. Afterwards the data is sent to the intended destination. In both cases the attacker must either possess the right key used for integrity protection or perform cryptanalysis to reveal the right key. | ## 2 CERTIFICATION RESULTS ### 2.1 Identification of Target of Evaluation | Certificate Number | 21.0.03/TSE-CCCS-68 | |--------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | TOE Name and Version | KERMEN v1.6 | | Security Target Title | KERMEN v1.6 Security Target | | Security Target Version | 1.12 | | Security Target Date | 26.08.2020 | | Assurance Level | EAL4+ (ALC_FLR.2) | | Criteria | Common Criteria for Information Technology Security Evaluation, Part 1: Introduction and General Model; CCMB-2017-04-001, Version 3.1, Revision 5, April 2017 Common Criteria for Information Technology Security Evaluation, Part 2: Security Functional Components; CCMB-2017-04-002, Version 3.1, Revision 5, April 2017 Common Criteria for Information Technology Security Evaluation, Part 3: Security Assurance Components; CCMB-2017-04-003, Version 3.1, Revision 5, April 2017 | | Methodology | Common Criteria for Information Technology Security Evaluation, Evaluation Methodology; CCMB-2017-04-004, Version 3.1, Revision 5, April 2017 | | Protection Profile Conformance | ***It does not claim any conformance to any protection profile.*** | | Sponsor and Developer | *TÜBİTAK UEKAE Ürün Geliştirme G030-MA3 Milli Açık Anahtar Altyapısı* | | Evaluation Facility | *TÜBİTAK OKTEM* | | Certification Scheme | TSE CCCS | ### 2.2 Security Policy Organizational Security Policies are listed below; | P.ALGORITHM | The TOE shall only allow the use of approved encryption algorithms and key lengths. | |---------------|---------------------------------------------------------------------------------------| ### 2.3 Assumptions and Clarification of Scope ## Assumptions for the operational environment of the TOE are; | **A.SINGLE** | The TOE runs on a single user machine with access protected by the TOE environment; i.e., only authorised users of the TOE environment may access the TOE. This includes access control provided by the operating system or equivalent and protection against malware. | |-------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | **A.KEYDIS** | It is assumed that private keys used for decrypting and signing are of high quality and are not disclosed to unauthorized users. | | **A.PASSWORDDIS** | It is assumed that passwords used for accessing the private keys in the certificate store and in the smart card are of high quality and are not disclosed to unauthorized users. | | **A.PHYSICAL** | The TOE is operated in a physically secure and well managed environment. | | **A.USER** | The TOE user is trustworthy and trained to manage and perform encryption of classified information in accordance with any existing security policies and information classification policies. This means especially that user knows how to classify information and how to deal with, e.g.,encrypting all files containing sensitive information with the appropriate key before exporting the file out of the TOE and/or its TOE environment according to KERMEN User Manual document | | **A.CONNECT** | The single user PC which the TOE is running is not connected directly to any untrusted network. This means that the PC is either assumed not to be connected to any networks or it is connected to a trusted network which Mail and LDAP servers resides. That is also protected against attacks. | ### 2.4 Architectural Information KERMEN consist of several applications and modules in the form of desktop GUI, shell extension and addin: - KERMEN SUR is a GUI application for file encryption/decryption. - KERMEN DEPO is the certificate store database to hold user certificates, keys and CRLs locally. The database is signed and encrypted. - KERMEN DEPO Goruntuleyici is a desktop GUI application to view and manage certificate store and the underlying API responsible for all of the cryptographic work. API depends on open source Crypto++ and OpenSLL crypto libraries. - Secure Folder Module (GDM) is a desktop GUI application to manage any number of user folders that their content to be automatically get encrypted and signed. - KERMEN Desktop Security Module (MGM) is a desktop GUI application comes with a Shell extension for the Windows Context Menu. It lets users do various cryptographic operations such as encyrption/decryption, document signing, certificate and CRLs management, secure file deletion etc. - KERMEN Sifreci is a desktop GUI application to allow encryption/decryption operations on group of files. - KERMEN Secure e-Mail Module (EEPM) is an MS Outlook Add-In that intercepts ongoing emails and if classified as confidential and above encrypts the body in S/MIME format. Public keys used for encryption can be stored in LDAP servers and retrieved when needed. Confidential emails are signed by default, confidential data with classification above confidential will also be encrypted. Decryption process does not need KERMEN and handled by MS Outlook alone. All the cryptographic and related operations are performed via the underlying KERMEN API. Therefore, the GUI components is not security critical. In the following picture the architecture of TOE KERMEN and its boundaries are shown. The physical scope of the TOE includes Application and API files and Dlls, user’s encrypted data and log files. ### 2.5 Documentation Documents below are provided to the customer by the developer alongside the TOE; | **Name of Document** | **Version Number** | **Date** | |------------------------------------|----------------------|--------------| | *KERMEN_KullanımKılavuzu* | *1.3* | *25.09.2019* | | *KERMEN v1.6 Security Target Lite* | *1.0* | *14.10.2020* | ### 2.6 IT Product Testing ## During the evaluation, all evaluation evidences of TOE were delivered and transferred completely to CCTL by the developer. All the delivered evaluation evidences which include software, documents, etc. are mapped to the assurance families Common Criteria and Common Methodology; so the connections between the assurance families and the evaluation evidences has been established. The evaluation results are available in the final Evaluation Technical Report (ETR) of KERMEN v1.6. **It is concluded that TOE supports EAL4+ (ALC_FLR.2). IT Product Testing is composed of two parts:** ### 2.7 Developer Testing ## Developer has prepared TOE Test Document according to the TOE Functional Specification documentation, TOE Design documentation which includes TSF subsystems and its interactions. Developer has conducted 34 functional tests in total. ### 2.8 Evaluator Testing ## Independent Testing: Evaluator has conducted 12 tests of developer and also has prepared 9 independent tests. TOE has passed all functional tests to demonstrate that its security functions work as it is defined in the ST. ## Penetration Testing: Evaluator has conducted 2 penetration tests to find out TOE’s vulnerabilities that can be used for malicious purposes. ### 2.9 Evaluated Configuration ## The evaluated TOE configuration is composed of; ## KERMEN v1.6 ## Guidance Documents ## Also minimum Hardware/Software/OS requirements for the TOE are; **• Intel Core i3 processor** **• 3 GB memory** **• 20 GB harddisk space** **• MS Outlook 2010 and above** **• Windows 7 and above** ### 2.10 Results of the Evaluation **Table below provides a complete listing of the Security Assurance Requirements for the TOE. These requirements consists of the Evaluation Assurance Level 4 (EAL 4) components as specified in Part 3 of the Common Criteria, augmented with ALC_FLR.2.** | **Assurance Class** | **Component** | **Component Title** | |-----------------------------|-----------------|----------------------------------------------------------| | Development | ADV_ARC.1 | Security Architecture Description | | | ADV_FSP.4 | Complete functional specification | | | ADV_IMP.1 | Implementation representation of the TSF | | | ADV_TDS.3 | Basic Modular Design | | Guidance Documents | AGD_OPE.1 | Operational User Guidance | | Guidance Documents | AGD_PRE.1 | Preparative Procedures | | Life-Cycle Support | ALC_CMC.4 | Production Support, Acceptance Procedures and automation | | | ALC_CMS.4 | Problem Tracking CM Coverage | | | ALC_DEL.1 | Delivery Procedures | | | ALC_DVS.1 | Sufficiency of Security Measures | | | ALC_FLR.2 | Flaw Remediation | | | ALC_LCD.1 | Developer Defined Life-Cycle Model | | | ALC_TAT.1 | Well-Defined Development Tools | | Security Target Evaluation | ASE_CCL.1 | Conformance Claims | | | ASE_ECD.1 | Extended Components Definition | | | ASE_INT.1 | ST Introduction | | | ASE_OBJ.2 | Security Objectives | | | ASE_REQ.2 | Derived Security Requirements | | | ASE_SPD.1 | Security Problem Definition | | | ASE_TSS.1 | TOE Summary Specification | | Tests | ATE_COV.2 | Analysis of coverage | | | ATE_DPT.1 | Testing: Basic Design | | | ATE_FUN.1 | Functional Testing | | | ATE_IND.2 | Independent Testing | | Vulnerability Analysis | AVA_VAN.3 | Focused Vulnerability analysis | **The Evaluation Team assigned a Pass, Fail, or Inconclusive verdict to each work unit of each EAL 4+ (ALC_FLR.2) assurance component. For Fail or Inconclusive work unit verdicts, the Evaluation Team advised the developer about the issues requiring resolution or clarification within the evaluation evidence. In this way, the Evaluation Team assigned an overall Pass verdict to the assurance component only when all of the work units for that component had been assigned a Pass verdict. So for TOE “KERMEN v1.6”, the results of the assessment of all evaluation tasks are “Pass”.** ### 2.11 Evaluator Comments / Recommendations **No recommendations have been communicated to CCCS by the evaluators related to the evaluation process of “ KERMEN v1.6” product, result of the evaluation, or the ETR.** ## 3 SECURITY TARGET ## The Security Target associated with this Certification Report is identified by the following terminology: ## ## Title: Kermen v1.6 Security Target ## Version: 1.12 ## Date of Document: 26.08.2020 ## ## A public version has been created and verified according to ST-Sanitizing: ## Title: KERMEN v1.6 Security Target Lite ## Version: 1.0 ## 4 GLOSSARY ## ADV : Assurance of Development ## AGD : Assurance of Guidance Documents ## ALC : Assurance of Life Cycle ## ASE : Assurance of Security Target Evaluation ## ATE : Assurance of Tests Evaluation ## AVA : Assurance of Vulnerability Analysis ## CC : Common Criteria (Ortak Kriterler) ## CCCS : Common Criteria Certification Scheme (TSE) ## CCRA : Common Criteria Recognition Arrangement ## CCTL : Common Criteria Test Laboratory ## CEM :Common Evaluation Methodology ## CMC : Configuration Management Capability ## CMS : Configuration Management Scope CMS Cryptographic Message Syntax ## DEL : Delivery ## DVS : Development Security ## EAL : Evaluation Assurance Level ## OPE : Opretaional User Guidance ## OSP : Organisational Security Policy ## PP : Protection Profile ## PRE : Preperative Procedures RFC : Request for comments S/MIME : Secure Multipurpose Internet Mail Extension ## SAR : Security Assurance Requirements SF : Security Function SFP : Security Function Policy ## SFR : Security Functional Requirements SOF : Strength of Function ## TOE : Target of Evaluation TSC : TSF Scope of Control ## TSF : TOE Secırity Functionality ## TSFI : TSF Interface ## 5 BIBLIOGRAPHY [1] Common Criteria for Information Technology Security Evaluation, Version 3.1 Revision 5, April 2017, [2] Common Methodology for Information Technology Security Evaluation, CEM, Version 3.1 Revision 5, April 2017 [3] BTBD-03-01-TL-01 Certification Report Preparation Instructions, Rel.Date: February 8th 2016 [4] RFC 5652 Cyrptographic Message Syntax (CMS) [5] RFC 5751 Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Message Specification [6] RFC 5280 Internet X-509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile [7] NISP SP 800-88 Rev.1 Guidelines for Media Sanitization [8] RFC 8018 PKCS #5 Password-Based Cryptography Specification Version 2.1 [9] NIST SP 800-90A Rev.1 Recommendation for Random Number Generation Using Deterministic Random Bit Generators ## ## 6 ANNEXES ## There is no additional information which is inappropriate for reference in other sections ## ## **BİLİŞİM TEKNOLOJİLERİ TEST VE BELGELENDİRME DAİRESİ BAŞKANLIĞI** **CCCS CERTIFICATION REPORT** **Doküman Kodu: BTBD-03-01-FR-01 Yayın Tarihi: 04.08.2015 Revizyon Tarih/No: 06.03.2019/6** **Bu dokümanın güncelliği, elektronik ortamda TSE Doküman Yönetim Sisteminden takip edilmelidir. Sayfa 13 / 19**